Skip to main content
GET
/
v2
/
workers
Get Worker Syncs
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/workers \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "syncName": "<string>",
    "salesChannelName": "<string>",
    "salesChannelId": "<string>",
    "interval": "<string>",
    "reportProgress": true,
    "configurations": [
      {
        "identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "displayName": "<string>",
        "displayDescription": "<string>",
        "type": "<string>",
        "currentValue": "<string>",
        "isRequired": true
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Response

The TaxRate for the given Item.

identifier
string<uuid>

The Unique Identifier of a Sync

syncName
string

the Name of the Sync

salesChannelName
string

The Name of the Sales Channel

salesChannelId
string

The SalesChannel for the Sync

interval
string<duration>

The Sync Interval

reportProgress
boolean

The Sync can Report Progress in Percent

configurations
object[]

The Configurations